/***************************************************************************************************/
/* pp00example06.pov  - Copyright Chris Bartlett 2005                                              */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#version 3.5;
#ifndef(ppCamera)  #declare ppCamera="Full Body";  #end      // Required to prevent camera definitions in the include files being used.
#include "povperson.inc"


#declare person = ppFigure("ppann.inc","ppstyle4.inc","pplookdown.inc","ppwalking.inc","none")

object {
  person
  rotate 180*y 
  translate <-0.55,0, 0.25>
}

object {
  person
  rotate -90*y 
  translate <0.55,0,-0.25>
} 


ppUndef(1,1,1,1,1) 

#declare person = ppFigure("ppann.inc","ppstyle4.inc","pplookdown.inc","ppwalking.inc","none")

object {
  person
  rotate 180*y 
  translate <-0.55,0, 0.25>
}

object {
  person
  rotate -90*y 
  translate <0.55,0,-0.25>
} 

 
#if (strcmp(ppCamera,"Portrait")=0)
  light_source { < 2, 60  ,-30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { < 0, 24  ,-26> color rgb<1, 1  , 1  >*1.2 }   
  light_source { <5,  6.5,-10> color rgb<1, 0.5, 0.5>}   
  camera {  
    location <0, 1.78,-0.9>
    look_at  <0.12, 1.76, 0>
    right x*0.8
    up y*0.8*3/4
  }
#end 

#if (strcmp(ppCamera,"Full Body")=0)
  light_source { < 2, 60  ,-30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { < 0, 24  ,-26> color rgb<1, 1  , 1  >*1.2 }   
  light_source { <5,  6.5,-10> color rgb<1, 0.5, 0.5>}   
  camera {  
    location <-0.4, 1.5,-3>
    look_at  <0.1, 1, 0>
  }
#end