/***************************************************************************************************/
/* example.pov  - Copyright Chris Bartlett 2004                                                    */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#version 3.5;
#ifndef(ppCamera)  #declare ppCamera="Example";  #end      // Required to prevent camera definitions in the include files being used.
#include "povperson.inc"

#declare ppDefaultBodyParts=1;

// ppFigure(Character,Style,Clothing,Expression,Pose)


//#declare ppHairStyle=4; 

//object {ppFigure("ppann.inc","ppstyle6.inc","pplookstraight.inc","ppstanding.inc","none")  rotate 90*y}// translate -10*x}
/*
intersection {ppFigure("ann.inc","style6.inc","pplookstraight.inc","standing.inc","none")
  plane {x,0 pigment{colour <1,1,1,1>}}
  rotate 90*y}
*/
//ppUndef(1,1,1,1,1) 

//object {ppFigure("ppann.inc","ppstyle6.inc","pplookstraight.inc","ppstanding.inc","none") rotate -45*y translate <-30,0,100>}
//object {ppFigure("ppann.inc","ppstyle6.inc","pplookstraight.inc","ppstanding.inc","none") rotate 200*y translate <-100,0,100>}
/*
difference {ppFigure("ppann.inc","ppstyle6.inc","smile","ppstanding.inc","none") 
  plane {x,0 pigment{colour <1,1,1,1>}}
  rotate 20*y translate <-70,0,100>}
*/


#if (strcmp(ppCamera,"Example")=0)
  #declare Ann = object {ppFigure("ppann.inc","ppstyle4.inc","pplookstraight.inc","ppstanding.inc","ppoutfit2.inc") rotate y*00} // rotate 35*y translate <0.5,0,1>}

  object {Ann translate 0.33*x}
  object {Ann rotate 180*y translate -0.33*x}
  object {Ann rotate  90*y translate 1.4*x}
  object {Ann rotate -90*y translate -1.4*x}

  light_source { <2, 60,10> color rgb<1, 1, 1>*0.6 }   
  light_source { <0, 14,16> color rgb<1, 1, 1>*1.2 }   
  light_source { <10, 5,10> color rgb<1, 0.5, 0.5>}   
  camera {  
//  normal {wrinkles 0.03 scale 0.00015}
//  normal {bumps 0.002 scale 0.015}
//    location <-40, 200, -380>
//    look_at <20, 70, 0>
//    location <-0.5, 1.2,0>
//    look_at <0.4, 1.2, 0>
//    location <0.3, 1,0.5>
//    look_at <0.35, 1.2, 0>
//  location <0, 0.4, 0.9>
//  look_at <0.1, -0.1, 0.1>
    location <3, 1, 5>
    look_at <0, 0.8, 0>


    angle 34.3775
}
#end
 
#if (strcmp(ppCamera,"Portrait")=0)
  
  #declare ppLeftUpperEyelidAngle  =  0;
  #declare ppRightUpperEyelidAngle =  10;
  #declare ppLeftLowerEyelidAngle  = -0;
  #declare ppRightLowerEyelidAngle = -15;
  object {ppFigure("ppbabs.inc","ppstyle4.inc","smile","ppstanding.inc","none") rotate 40*y}
  light_source { <2, 60,10> color rgb<1, 1, 1>*0.6 }   
  light_source { <0, 14,16> color rgb<1, 1, 1>*1.2 }   
  light_source { <10, 1.5,10> color rgb<1, 0.5, 0.5>}   
  camera {  
    location <0.7, 1.7, 0.3>
    look_at <0.2, 1.7, 0>


    angle 34.3775
}
#end