/***************************************************************************************************/
/* pp00example01.pov  - Copyright Chris Bartlett 2005                                              */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#version 3.5;
#declare ppCamera="Portrait";      
#include "povperson.inc"

#declare ppTransformFigure = transform {rotate 180*y translate <-0.05,0,0.4>};
#declare ppLookAt = <0, 1.78,-0.35>;

//#declare ppLeftUpperEyelidAngle  = 25;
//#declare ppLeftLowerEyelidAngle  = -15;
//
//#declare ppRightUpperEyelidAngle =  25;
//#declare ppRightLowerEyelidAngle = -15;


#declare ppLashLength    = 10;         // 5 to 15 
#declare ppLashDensity   = 0.6;        // 0.4 to 0.8
#declare ppLashThickness = 0.03;       // 0.02 to 0.04

#declare Figure = object {
  ppFigure("ppann.inc","ppstyle4.inc","pplookdown.inc","ppstanding.inc","none")
}

object {
  Figure
  transform ppTransformFigure
//  rotate 180*y 
//  translate <-0.05,0,0.4>
}

object {
  Figure
  rotate -90*y 
  translate <0.4,0,0>
} 

 
#if (strcmp(ppCamera,"Portrait")=0)
  light_source { < 2, 60  ,-30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { < 0, 24  ,-26> color rgb<1, 1  , 1  >*1.2 }   
  light_source { <5,  6.5,-10> color rgb<1, 0.5, 0.5>}   
  camera {  
    location <0, 1.78,-0.35>
    look_at  <0, 1.7 , 0>
}
#end                   

