/***************************************************************************************************/
/* pps1definition.inc  - Copyright Chris Bartlett Dec 2004.                                        */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#include "pps1body.inc" 

#declare ppLeftPalmWristPos   = <0,0,0>;
#declare ppLeftPalmThumbPos   = <0,0,0>;
#declare ppLeftPalmFinger1Pos = <0,0,0>;
#declare ppLeftPalmFinger2Pos = <0,0,0>;
#declare ppLeftPalmFinger3Pos = <0,0,0>;
#declare ppLeftPalmFinger4Pos = <0,0,0>;

#declare ppLeftThumbJointPos = array[3];
#declare ppLeftThumbJointPos[0] = <0,0,0>; // Base   -> Middle
#declare ppLeftThumbJointPos[1] = <0,0,0>; // Middle -> Tip     
#declare ppLeftThumbJointPos[2] = <0,0,0>; // Tip    -> Nail

#declare ppLeftFingerJointPos = array[3]; 
#declare ppLeftFingerJointPos[0] = <0,0,0>; // Base   -> Middle
#declare ppLeftFingerJointPos[1] = <0,0,0>; // Middle -> Tip   
#declare ppLeftFingerJointPos[2] = <0,0,0>; // Tip    -> Nail  

#declare ppLeftFootAnklePos  = <0,0,0>;
#declare ppLeftFootBigToePos = <0,0,0>;
#declare ppLeftFootToe1Pos   = <0,0,0>;
#declare ppLeftFootToe2Pos   = <0,0,0>; 
#declare ppLeftFootToe3Pos   = <0,0,0>; 
#declare ppLeftFootToe4Pos   = <0,0,0>;  

//#declare ppFingerJointPos = array[3];
//#declare ppFingerJointPos[0] = < 0    , 0    ,0.05  >; // Base   -> Middle
//#declare ppFingerJointPos[1] = < 0    , 0    ,0.033 >; // Middle -> Tip     
//#declare ppFingerJointPos[2] = 0.05*<0,0.157,0.25>; // Tip    -> Nail
//
//
//#declare ppThumbJointPos = array[3];
//#declare ppThumbJointPos[0] = <0,0,0.045 >; // Base   -> Middle
//#declare ppThumbJointPos[1] = <0,0,0.034 >; // Middle -> Tip     
//#declare ppThumbJointPos[2] = 0.05*<0, 0.157,0.25>; // Tip    -> Nail

//#declare ppFoot1AnklePos  = <0,0.1,0>;
//#declare ppFoot1BigToePos = < 0.044,0.020,0.145>;
//#declare ppFoot1Toe1Pos   = < 0.018,0.015,0.165>;
//#declare ppFoot1Toe2Pos   = <-0.000,0.015,0.165>;
//#declare ppFoot1Toe3Pos   = <-0.024,0.015,0.16 >;
//#declare ppFoot1Toe4Pos   = <-0.045,0.014,0.145>;      

#declare ppToeJointPos = array[3];
#declare ppToeJointPos[0] = <0,0,0>;
#declare ppToeJointPos[1] = <0,0,0>;
#declare ppToeJointPos[2] = <0,0,0>;



