/***************************************************************************************************/
/* ppoutfit1.inc  - Copyright Chris Bartlett May 2005.                                             */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

// Define the list of costume elements required 
#declare ppCostumeItems = array [4] {
  "ppboot1.inc",
  "ppshorts1.inc",
  "ppshirts1.inc",
  "pphat1.inc",
}  

// Specify control variables to control the costume elements specified
#declare ppLeftFootwear  = 1;    // 0 or 1
#declare ppRightFootwear = 1;    // 0 or 1

#declare ppBootColour = <0,0,0>;
#declare ppHeelHeight = 0.02;
#declare ppHeelWidth  = ppHeelHeight*4.1; 


#declare ppLegLength     = 0.16; 
#declare ppWaistBandHeight   = 0.05;

#declare ppTrouserLegTexture = texture {
  pigment {color rgb <1,0,0>}  
  normal {bumps 0.8 scale <0.1,0.07,0.1>} 
  scale 0.5
}

#declare ppTrouserSeamTexture = texture {
  pigment {color rgb <0,0,0>}    
}

#declare ppTrouserWaistBandTexture = texture {
  pigment {color rgb <0,0,0>}      
  finish {phong 0.9}
}             

#declare ppFabricDisplacementPigment = pigment {spotted scale <0.2,0.02,0.2>*0.03}
#declare ppTopColour = <1,0,0>;
#declare ppTopTexture = texture {
  pigment {color rgb ppTopColour}  
}

#declare ppShirtFabricOffSet = 3;   
#declare ppShirtFabricBumpiness = 0.025; 

#declare ppShirtWaistBandOn  = 1;    
#declare ppShouldersOn       = 1;    
#declare ppCollarOn          = 0;    
#declare ppShirtZipOn        = 0;    
#declare ppCollarWidth       = 0.040;
#declare ppCollarThickness   = 0.009;
#declare ppShirtWaistHeight       = 0.1;  
#declare ppShirtWaistBandHeight   = 0.035;
