/***************************************************************************************************/
/* ppwalking1.inc  - Copyright Chris Bartlett September 2005                                       */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#ifndef(ppCamera)
  #declare ppAnimationName  = "ppstepup";
  #declare ppAnimationThisPose = 4; 
  #declare ppAnimationGhosts = 0;        // 0 is much faster, 0.7 is transparent enough to see most of this pose.
  #declare ppAnimationPose = array[10] {0,0,0,0,0,0,0,0,0,0};  
  #declare ppAnimationPose[1] = 0;  
  #declare ppAnimationPose[3] = 0;  
  #declare ppAnimationPose[4] = 1;  
  #include "pp00animationtestbed.pov" 
#else



ppMirror("ppstepup1.inc")

//ppWriteJointRotationsToFile("temp.inc",0)


// The calculation algorithm needs to know the position and orientation of one body part for each connected part of the anatomy
// and should calculate the rest.
ppFixBodyPart(ppRightFootRef, <0.085,0.18,0.27>, <0,0,0>)

#end