
#declare ppTowerTexture1 = 
  texture{pigment { checker color rgbt 0.9, color rgb 0.3 scale <1000,3,1000> translate <-500,0,-500>}} 
  texture{pigment { checker color rgbt 0.9, color rgb 0.7 scale <2,1000,2>} finish {phong 0.5}} 

#declare ppTowerTexture2 = 
  texture{
    pigment { 
      gradient x 
      color_map {
       [0.09 color rgb  0.7]
       [0.09 color rgbt 0.9]
       [0.91 color rgbt 0.9]
       [0.91 color rgb  0.7]
      }
      scale 2*x
    }
  } 
  texture{
    pigment { 
      gradient y 
      color_map {
       [0.09 color rgb  0.7]
       [0.09 color rgbt 0.9]
       [0.91 color rgbt 0.9]
       [0.91 color rgb  0.7]
      }
      scale 3*y
    }
  } 
  texture{
    pigment { 
      gradient z 
      color_map {
       [0.09 color rgb  0.7]
       [0.09 color rgbt 0.9]
       [0.91 color rgbt 0.9]
       [0.91 color rgb  0.7]
      }
      scale 2*z
    }
  }
   
#declare ppTowerTexture3 = 
  texture{
    pigment { 
      gradient x 
      color_map {
       [0.1  color rgb  0.7]
       [0.1  color rgbt 0.9]
       [0.9  color rgbt 0.9]
       [0.9  color rgb  0.7]
      }
      scale 2*x
    }
  } 
  texture{
    pigment { 
      gradient y 
      color_map {
       [0.1  color rgb  0.7]
       [0.1  color rgbt 0.9]
       [0.9  color rgbt 0.9]
       [0.9  color rgb  0.7]
      }
      scale 3*y
    }
  } 
  texture{
    pigment { 
      gradient z 
      color_map {
       [0.1  color rgb  0.9]
       [0.1  color rgbt 1]
       [0.9  color rgbt 1]
       [0.9  color rgb  0.9]
      }
      scale 2*z
    }
  }
   
#declare ppTowerTexture4 = 
  texture{
    pigment { 
      gradient x 
      color_map {
       [0.1  color rgb  0.01]
       [0.1  color rgbt 1]
       [0.9  color rgbt 1]
       [0.9  color rgb  0.01]
      }
      scale 2*x
    }
  } 
  texture{
    pigment { 
      gradient y 
      color_map {
       [0.1  color rgb  0.01]
       [0.1  color rgbt 1]
       [0.9  color rgbt 1]
       [0.9  color rgb  0.01]
      }
      scale 4*y
    }
  } 
  texture{
    pigment { 
      gradient z 
      color_map {
       [0.1  color rgb  0.01]
       [0.1  color rgbt 1]
       [0.9  color rgbt 1]
       [0.9  color rgb  0.01]
      }
      scale 2*z
    }
  } 


#declare ppFloorTexture = texture {pigment {color rgb <1,1,0>}}

#declare ppTowerBlock1 = union {
  box {<-11,0,-11>,<11,100,11> texture {ppTowerTexture1} }
  box {<-10,0,-10>,<10,99,10> pigment {color rgb 3*<1,0.7,0.6>} }
  rotate -y*45
}

#declare ppTowerBlock2 = union {
  box {<-15,0,-15>,<15,50,15> scale <0.95,1,0.95> texture {ppTowerTexture2} }
  box {<-15,0,-15>,<15,50,15> texture {ppTowerTexture3} }
  box {<-12,0,-12>,<14,49,14> pigment {color rgb 3} }
  rotate -y*45
}

#declare ppTowerBlock3 = union {
  box {<-15,0,-15>,<15,80,15> scale <0.95,1,0.95> texture {ppTowerTexture2} }
//  box {<-15,0,-15>,<15,80,15> texture {ppTowerTexture3} }
  box {<-14,0,-14>,<14,79,14> pigment {color rgb 3} }
}

#declare ppTowerBlock4 = union {
  box {<-15,0,-15>,<15,50,15> texture {ppTowerTexture4} }
}

#declare ppFloor = box {<-15,ppFloorHeight-0.1,-15>,<15,ppFloorHeight,15> texture {ppFloorTexture}}


