/***************************************************************************************************/
/* pp00example01.pov  - Copyright Chris Bartlett 2005                                              */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#version 3.5;
#declare ppCamera="Portrait";      
#include "povperson.inc"


object {
  ppFigure("ppann.inc","ppstyle1.inc","pplookstraight.inc","ppstanding.inc","ppoutfit1.inc")
  rotate 180*y 
  translate <0,0.1,0.45>
}

ppUndef(1,1,1,1,1) 

object {
  ppFigure("ppalf.inc","ppstyle1.inc","pplookstraight.inc","ppstanding.inc","ppoutfit1.inc")
  rotate -90*y 
  translate 0.35*x
} 

 
#if (strcmp(ppCamera,"Portrait")=0)
  light_source { < 2, 60  ,-30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { < 0, 24  ,-26> color rgb<1, 1  , 1  >*1.2 }   
  light_source { <5,  6.5,-10> color rgb<1, 0.5, 0.5>}   
  camera {  
    location <0, 1.95,-0.5>
    look_at  <0, 1.85, 0>
}
#end                   

