/***************************************************************************************************/
/* pp00example01.pov  - Copyright Chris Bartlett 2005                                              */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#version 3.5;
#ifndef(ppCamera)  #declare ppCamera="Portrait";  #end      // Required to prevent camera definitions in the include files being used.
#include "povperson.inc"



#declare person = object {
  ppFigure("ppann.inc","ppstyle4.inc","pplookstraight.inc","ppstanding.inc","ppoutfit2.inc")
//  rotate 180*y 
//  translate 0.25*z
}

object {person rotate 180*y translate 0.25*z}
object {person rotate -90*y translate <0.35,0,-0.25>}


//ppUndef(1,1,1,1,1) 
//
//object {
//  ppFigure("ppbabs.inc","ppstyle4.inc","smile","ppstanding.inc","ppoutfit1.inc")
//  rotate -90*y 
//  translate <0.25,0,-0.25>
//} 

 
#if (strcmp(ppCamera,"Portrait")=0)
  light_source { < 2, 60  ,-30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { < 0, 24  ,-26> color rgb<1, 1  , 1  >*1.2 }   
  light_source { <5,  6.5,-10> color rgb<1, 0.5, 0.5>}   
  camera {  
    location <0, 1.78,-0.9>
    look_at  <0.12, 1.76, 0>
    right x*0.8
    up y*0.8*3/4
  }
#end 

#if (strcmp(ppCamera,"Full Body")=0)
  light_source { < 2, 60  ,-30> color rgb<1, 1  , 1  >*0.6 }   
  light_source { < 0, 24  ,-26> color rgb<1, 1  , 1  >*1.2 }   
  light_source { <5,  6.5,-10> color rgb<1, 0.5, 0.5>}   
  camera {  
    location <-0.4, 1.08,-2.1>
    look_at  <0.1, 1, 0>
  }
#end