/***************************************************************************************************/
/* skinhead.inc  - Copyright Chris Bartlett Sept 2004.                                             */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

                                                                                       // Recommended Values
                                                                                       // ******************
#ifndef (ppEyebrowHairColour)       #declare ppEyebrowHairColour    = <0.6,0.2,0.2>;  #end //
#ifndef (ppHairColour)              #declare ppHairColour = <0.55,0.45,0.3>;            #end //

#ifndef (ppHairStyle)               #declare ppHairStyle = 4;                         #end // See hairstyle.inc for valid values
    
// The following settings are used by hairTexture.inc. If hairTexture.inc is not used they are ignored. 
#ifndef (ppHairLightness)           #declare ppHairLightness = 1;                     #end // 0.1 = Very Dark, 1 = Very Light  

#ifndef (ppHairHighlightProportion) #declare ppHairHighlightProportion = 0.2;         #end // 0 = No Highlights, 1 = Extensive Highlights 
#ifndef (ppHairHighlightIntensity)  #declare ppHairHighlightIntensity  = 0.3;         #end // 0.1 = Subtle, 1 = Blatent 
#ifndef (ppHairHighlightColour)     #declare ppHairHighlightColour     = ppHairColour*1.1; #end
                                
// Male Settings
#if (strcmp(ppGender,"male")=0)  

// Female Settings
#else
  #ifndef (ppLipColour)              #declare ppLipColour = <0.6,0,0.1,0.2>;            #end // 'Normal' Red ppLips 
  #ifndef (ppEyeshadowColour)        #declare ppEyeshadowColour  = <0.25,0.3,0.25,0.2>; #end // More or less any colour you want
  #ifndef (ppEyeshadowExtent)       #declare ppEyeshadowExtent = 0.5;                 #end // 0.2 to 1.5     1 is default
  #ifndef (ppBlusherColour)          #declare ppBlusherColour  = <1,0,0,0.5>;           #end // More or less any colour you want
  #ifndef (ppBlusherExtent)         #declare ppBlusherExtent = 0.3;                   #end // 0.3 to 1       0.4 is default
  
  #ifndef (ppLashLength)            #declare ppLashLength    = 20;                    #end // 10    to 30 
  #ifndef (ppLashDensity)           #declare ppLashDensity   = 0.4;                   #end // 0.5   to 1 
  #ifndef (ppLashThickness)         #declare ppLashThickness = 0.008;                 #end // 0.009 to 0.036 
  #ifndef (ppLashColour)            #declare ppLashColour    = <0,0,0>;               #end //
     
  #ifndef (ppEyebrowHairThickness)  #declare ppEyebrowHairThickness = 0.030;          #end // 0.009 to 0.036 
#end
