/***************************************************************************************************/
/* ppwalking1.inc  - Copyright Chris Bartlett September 2005                                       */
/* This work is licensed for royalty free re-use under the terms of the POV-Person License.        */
/* To view a copy of this license, visit http://www.telinco.co.uk/c_bartlett/license/license.htm   */
/***************************************************************************************************/

#ifndef(ppCamera)
  #declare ppAnimationName  = "walking";
  #declare ppAnimationThisPose = 7; 
  #declare ppAnimationGhosts = 0;        // 0 is much faster, 0.7 is transparent enough to see most of this pose.
  #declare ppAnimationPose = array[10] {0,0,0,0,0,0,0,0,0,0};  
  #declare ppAnimationPose[3] = 0;  
  #declare ppAnimationPose[6] = 0;  
  #declare ppAnimationPose[7] = 1;  
  #include "pp00animationtestbed.pov" 
#else



ppMirror("ppwalking3.inc")

//ppWriteJointRotationsToFile("temp.inc",0)


// The calculation algorithm needs to know the position and orientation of one body part for each connected part of the anatomy
// and should calculate the rest.
ppFixBodyPart(ppLeftFootRef, <0,0,1.06>, <0,0,0>)

#end